Qt Utilities: QtUtilities::UpdateNotifier Class Reference

Qt Utilities 6.22.0 Common Qt related C++ classes and routines used by my applications such as dialogs, widgets and models

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Properties | List of all members
QtUtilities::UpdateNotifier Class Reference

The UpdateNotifier class allows checking for new updates. More...

`#include <updater.h>`

Inheritance diagram for QtUtilities::UpdateNotifier:
[legend]
Collaboration diagram for QtUtilities::UpdateNotifier:
[legend]

## Public Slots
void | checkForUpdate ()
void | resetUpdateInfo ()
void | supplyNewReleaseData (const QByteArray &data)

## Signals
void | inProgressChanged (bool inProgress)
void | checkedForUpdate ()
void | updateAvailable (const QString &version, const QString &additionalInfo)

## Public Member Functions
| UpdateNotifier (QObject *parent=nullptr)
| ~UpdateNotifier () override
bool | isSupported () const
bool | isInProgress () const
bool | isUpdateAvailable () const
UpdateCheckFlags | flags () const
void | setFlags (UpdateCheckFlags flags)
const QString & | executableName () const
const QString & | newVersion () const
const QString & | latestVersion () const
const QString & | additionalInfo () const
const QString & | releaseNotes () const
const QString & | error () const
const QUrl & | downloadUrl () const
const QUrl & | signatureUrl () const
const QUrl & | previousVersionDownloadUrl () const
const QUrl & | previousVersionSignatureUrl () const
QString | status () const
CppUtilities::DateTime | lastCheck () const
void | restore (QSettings *settings)
void | save (QSettings *settings)
void | setNetworkAccessManager (QNetworkAccessManager *nm)

## Properties
bool | supported
bool | inProgress
bool | updateAvailable
QString | executableName
QString | newVersion
QString | additionalInfo
QString | releaseNotes
QString | error
QUrl | downloadUrl
QUrl | signatureUrl
QUrl | previousVersionDownloadUrl
QUrl | previousVersionSignatureUrl

## Detailed Description

The UpdateNotifier class allows checking for new updates.

Remarks
  This class is experimental and might be changed in incompatible ways (API and ABI wise) or completely removed in further minor/patch releases.

Definition at line 61 of file updater.h.

## Constructor & Destructor Documentation

## ◆ UpdateNotifier()

QtUtilities::UpdateNotifier::UpdateNotifier | ( | QObject * | parent = nullptr | ) |
| explicit

Definition at line 202 of file updater.cpp.

## ◆ ~UpdateNotifier()

QtUtilities::UpdateNotifier::~UpdateNotifier | ( |  | ) |
| override

Definition at line 243 of file updater.cpp.

## Member Function Documentation

## ◆ additionalInfo()

const QString & QtUtilities::UpdateNotifier::additionalInfo | ( |  | ) | const

Definition at line 322 of file updater.cpp.

## ◆ checkedForUpdate

void QtUtilities::UpdateNotifier::checkedForUpdate | ( |  | ) |
| signal

## ◆ checkForUpdate

void QtUtilities::UpdateNotifier::checkForUpdate | ( |  | ) |
| slot

Definition at line 499 of file updater.cpp.

## ◆ downloadUrl()

const QUrl & QtUtilities::UpdateNotifier::downloadUrl | ( |  | ) | const

Definition at line 347 of file updater.cpp.

## ◆ error()

const QString & QtUtilities::UpdateNotifier::error | ( |  | ) | const

Definition at line 342 of file updater.cpp.

## ◆ executableName()

const QString & QtUtilities::UpdateNotifier::executableName | ( |  | ) | const

Definition at line 292 of file updater.cpp.

## ◆ flags()

UpdateCheckFlags QtUtilities::UpdateNotifier::flags | ( |  | ) | const

Definition at line 274 of file updater.cpp.

## ◆ inProgressChanged

void QtUtilities::UpdateNotifier::inProgressChanged | ( | bool | inProgress | ) |
| signal

## ◆ isInProgress()

bool QtUtilities::UpdateNotifier::isInProgress | ( |  | ) | const

Definition at line 256 of file updater.cpp.

## ◆ isSupported()

bool QtUtilities::UpdateNotifier::isSupported | ( |  | ) | const

Definition at line 247 of file updater.cpp.

## ◆ isUpdateAvailable()

bool QtUtilities::UpdateNotifier::isUpdateAvailable | ( |  | ) | const

Definition at line 265 of file updater.cpp.

## ◆ lastCheck()

CppUtilities::DateTime QtUtilities::UpdateNotifier::lastCheck | ( |  | ) | const

Definition at line 387 of file updater.cpp.

## ◆ latestVersion()

const QString & QtUtilities::UpdateNotifier::latestVersion | ( |  | ) | const

Definition at line 312 of file updater.cpp.

## ◆ newVersion()

const QString & QtUtilities::UpdateNotifier::newVersion | ( |  | ) | const

Definition at line 302 of file updater.cpp.

## ◆ previousVersionDownloadUrl()

const QUrl & QtUtilities::UpdateNotifier::previousVersionDownloadUrl | ( |  | ) | const

Definition at line 367 of file updater.cpp.

## ◆ previousVersionSignatureUrl()

const QUrl & QtUtilities::UpdateNotifier::previousVersionSignatureUrl | ( |  | ) | const

Definition at line 377 of file updater.cpp.

## ◆ releaseNotes()

const QString & QtUtilities::UpdateNotifier::releaseNotes | ( |  | ) | const

Definition at line 332 of file updater.cpp.

## ◆ resetUpdateInfo

void QtUtilities::UpdateNotifier::resetUpdateInfo | ( |  | ) |
| slot

Definition at line 515 of file updater.cpp.

## ◆ restore()

void QtUtilities::UpdateNotifier::restore | ( | QSettings * | settings | ) |

Definition at line 396 of file updater.cpp.

## ◆ save()

void QtUtilities::UpdateNotifier::save | ( | QSettings * | settings | ) |

Definition at line 415 of file updater.cpp.

## ◆ setFlags()

void QtUtilities::UpdateNotifier::setFlags | ( | UpdateCheckFlags | flags | ) |

Definition at line 283 of file updater.cpp.

## ◆ setNetworkAccessManager()

void QtUtilities::UpdateNotifier::setNetworkAccessManager | ( | QNetworkAccessManager * | nm | ) |

Definition at line 455 of file updater.cpp.

## ◆ signatureUrl()

const QUrl & QtUtilities::UpdateNotifier::signatureUrl | ( |  | ) | const

Definition at line 357 of file updater.cpp.

## ◆ status()

QString QtUtilities::UpdateNotifier::status | ( |  | ) | const

Definition at line 434 of file updater.cpp.

## ◆ supplyNewReleaseData

void QtUtilities::UpdateNotifier::supplyNewReleaseData | ( | const QByteArray & | data | ) |
| slot

Definition at line 545 of file updater.cpp.

## ◆ updateAvailable

void QtUtilities::UpdateNotifier::updateAvailable | ( | const QString & | version,
|  | const QString & | additionalInfo )
| signal

## Property Documentation

## ◆ additionalInfo

QString QtUtilities::UpdateNotifier::additionalInfo
| read

Definition at line 68 of file updater.h.

## ◆ downloadUrl

QUrl QtUtilities::UpdateNotifier::downloadUrl
| read

Definition at line 71 of file updater.h.

## ◆ error

QString QtUtilities::UpdateNotifier::error
| read

Definition at line 70 of file updater.h.

## ◆ executableName

QString QtUtilities::UpdateNotifier::executableName
| read

Definition at line 66 of file updater.h.

## ◆ inProgress

bool QtUtilities::UpdateNotifier::inProgress
| read

Definition at line 64 of file updater.h.

## ◆ newVersion

QString QtUtilities::UpdateNotifier::newVersion
| read

Definition at line 67 of file updater.h.

## ◆ previousVersionDownloadUrl

QUrl QtUtilities::UpdateNotifier::previousVersionDownloadUrl
| read

Definition at line 73 of file updater.h.

## ◆ previousVersionSignatureUrl

QUrl QtUtilities::UpdateNotifier::previousVersionSignatureUrl
| read

Definition at line 74 of file updater.h.

## ◆ releaseNotes

QString QtUtilities::UpdateNotifier::releaseNotes
| read

Definition at line 69 of file updater.h.

## ◆ signatureUrl

QUrl QtUtilities::UpdateNotifier::signatureUrl
| read

Definition at line 72 of file updater.h.

## ◆ supported

bool QtUtilities::UpdateNotifier::supported
| read

Definition at line 63 of file updater.h.

## ◆ updateAvailable

bool QtUtilities::UpdateNotifier::updateAvailable
| read

Definition at line 65 of file updater.h.

The documentation for this class was generated from the following files:

- setup/updater.h
- setup/updater.cpp